## noweb 2.12

=== Makefile ===
# Copyright 1995-2006 by Norman Ramsey.  All rights reserved.
# See file COPYRIGHT for more information.
#
# Don't edit this file; you should be editing the Makefiles in the
# src and contrib directories.

VERSION=2.12
SHELL=/bin/sh
CINAME=-Nv`echo $(VERSION) | tr . _`
CIMSG=-f -m'standard checkin preparing to export version $(VERSION)'

all:
	@echo "You have no business running 'make' here; please look at the README file"
	@exit 1
source: ;	for i in src; do (cd $$i; make source); done
www: ;		for i in src/xdoc examples; do (cd $$i; make www); done

clean:
	for i in src examples contrib; do (cd $$i; make clean); done
	rm -f nwsrcfilter *~ */*~
clobber: clean
	for i in src examples contrib; do (cd $$i; make clobber); done

DATE:
	(./echo -n "Version $(VERSION) of "; date) > DATE

versioncheck:
	@if [ -z "$(UPPERVERSION)" ]; then echo "run 'make versioncheck' in the parent directory, not here" 1>&2; exit 1; fi
	@if [ "$(VERSION)" = "$(UPPERVERSION)" ]; then echo "Version $(VERSION) OK in Makefile"; else echo "Version mismatch in Makefile: upper $(UPPERVERSION) lower $(VERSION)"; exit 1; fi
	@if [ "$(VERSION)" = "`awk '{print $$2}' DATE`" ]; then echo "Version $(VERSION) OK in DATE"; else ./echo -n "Version mismatch in DATE: "; cat DATE; exit 1; fi
	@if fgrep -s "This is version $(VERSION) of " README; then echo "Version $(VERSION) OK in README"; else echo "Version mismatch in README"; exit 1; fi
	@if fgrep -s "CHANGES FOR VERSION $(VERSION)" CHANGES; then echo "Version $(VERSION) OK in CHANGES"; else echo "Version mismatch in CHANGES"; exit 1; fi
	@if fgrep -s " for version $(VERSION) of" src/README; then echo "Version $(VERSION) OK in src/README"; else echo "Version mismatch in src/README"; exit 1; fi
	@if fgrep -s "version $(VERSION)" src/xdoc/notangle.txt; then echo "Version $(VERSION) OK in src/xdoc/notangle.txt"; else echo "Version mismatch in src/xdoc/notangle.txt"; exit 1; fi

nwsrcfilter: nwsrcfilter.icn
	icont nwsrcfilter

tarnames: clean source nwsrcfilter DATE
	find . -not -type d -not -name FAQ.old -print | ./nwsrcfilter

tar:	clean source nwsrcfilter DATE emacscheck
	chmod +w src/Makefile
	rm -rf /tmp/noweb-$(VERSION)
	mkdir /tmp/noweb-$(VERSION)
	tar cvf - `find . ! -type d -not -name FAQ.old -print | ./nwsrcfilter` | (cd /tmp/noweb-$(VERSION) ; tar xf - )
	(cd /tmp; tar cf - noweb-$(VERSION) ) | gzip -v > ../noweb-$(VERSION).tgz
	rm -f ../noweb.tgz
	(cd .. ; ln -s noweb-$(VERSION).tgz noweb.tgz)
	chmod -w src/Makefile

ctan:	clean source nwsrcfilter DATE emacscheck
	chmod +w src/Makefile
	(cd src; make boot)
	rm -f ../noweb-$(VERSION)-ctan.zip
	find ./* ! -type d -not -name FAQ.old -not -name '.git*' -print | ./nwsrcfilter | sed 's@^@noweb/@' | ( ln -s . noweb; zip ../noweb-$(VERSION)-ctan.zip -@; rm -f noweb )
	chmod -w src/Makefile

emacscheck:
	-echo "Checking to ensure distribution matches personal emacs mode" 1>&2
	diff src/elisp/noweb-mode.el $(HOME)/emacs/noweb-mode.el

checkin:
	(cd src; make "CINAME=$(CINAME)" "CIMSG=$(CIMSG)" checkin)

=== contrib/Makefile ===
SHELL=/bin/sh
LIB=/dev/null	# to be overridden
ICONC=icont	# to be overridden
DIRS=davelove jonkrom leew norman

# don't do kostas; it requires gnu make (ugh)

all: ;	for i in $(DIRS); do (cd $$i; make ICONC=$(ICONC) all); done
install: ;	for i in $(DIRS); do (cd $$i; make LIB=$(LIB) BIN=$(BIN) install); done
source: ;	for i in $(DIRS); do (cd $$i; make source); done
clean: ;	for i in $(DIRS); do (cd $$i; make clean); done
clobber: clean

=== src/Makefile ===
# Copyright 1995-2018 by Norman Ramsey.  All rights reserved.
# See file COPYRIGHT for more information.
#
# Adjust these two lines for your ANSI C compiler
CC=gcc -ansi -pedantic -O -Wall -Werror
CFLAGS=
# If you have Icon, you should use the Icon versions of the noweb pipeline.
# Set LIBSRC=icon
LIBSRC=awk
# If you have no Icon compiler, but do have icont, make ICONC=icont
ICONC=iconc
ICONT=icont

# BIN is where the commands (notangle, noweave, nountangle, noroots) land
# LIB is where the pieces of the pipes (nt, markup, unmarkup) are stored
# MAN is the root of your local man pages directory
# MANEXT is the extension for your commands' man pages (usually 1 or l)
# MAN7EXT is the extension for the nowebstyle man page (usually 7)
# TEXINPUTS is the directory for TeX macro files
# ELISP is the directory for emacs lisp files, or /dev/null not to install
BIN=/usr/local/noweb
LIB=/usr/local/noweb/lib
MAN=/usr/local/noweb/man
MANEXT=1
MAN7EXT=7
TEXINPUTS=/usr/local/tex/inputs
ELISP=/dev/null

# change WEAVE if you want a different version of noweave to be installed
WEAVE=noweave		

# Stop editing.	 No user-serviceable parts below.
SHELL=/bin/sh
CINAME=
CIMSG=
MANDIR=$(MAN)/man$(MANEXT)
MAN7DIR=$(MAN)/man$(MAN7EXT)
CATDIR=$(MAN)/cat$(MANEXT)
CAT7DIR=$(MAN)/cat$(MAN7EXT)
LIBNAME=$(LIB)
TEXNAME=$(TEXINPUTS)

all: 
	cd c; make "CC=$(CC)" "CFLAGS=$(CFLAGS)" all 
	for i in shell lib xdoc tex; do (cd $$i; make all); done
	cd $(LIBSRC); make "ICONT=$(ICONT)" "ICONC=$(ICONC)" all

FAQ: FAQ.html
	sleep 1; html2ascii FAQ.html > FAQ

FAQ.html: $(HOME)/www/noweb/FAQ.html
	rm -f FAQ.html
	/bin/cp $(HOME)/www/noweb/FAQ.html FAQ.html
	chmod -w FAQ.html

install: install-code install-man install-tex install-elisp
uninstall: uninstall-code uninstall-man uninstall-tex uninstall-elisp
	-rmdir $(BIN) $(LIB) 2>/dev/null || true

install-shell:
	mkdir -p $(BIN) $(LIB)
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/noweb > $(BIN)/noweb
	chmod +x $(BIN)/noweb
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/notangle > $(BIN)/notangle
	chmod +x $(BIN)/notangle
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/$(WEAVE) > $(BIN)/$(WEAVE)
	chmod +x $(BIN)/$(WEAVE)
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/nountangle > $(BIN)/nountangle
	chmod +x $(BIN)/nountangle
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/nodefs > $(BIN)/nodefs
	chmod +x $(BIN)/nodefs
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/noroots > $(BIN)/noroots
	chmod +x $(BIN)/noroots
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/nuweb2noweb > $(BIN)/nuweb2noweb
	chmod +x $(BIN)/nuweb2noweb
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/cpif > $(BIN)/cpif
	chmod +x $(BIN)/cpif
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/htmltoc > $(BIN)/htmltoc
	chmod +x $(BIN)/htmltoc
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/noroff > $(BIN)/noroff
	chmod +x $(BIN)/noroff
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/toroff > $(LIB)/toroff
	chmod +x $(LIB)/toroff
	cp shell/tmac.w $(LIB)

uninstall-shell:
	rm -f $(BIN)/noweb
	rm -f $(BIN)/notangle
	rm -f $(BIN)/$(WEAVE)
	rm -f $(BIN)/nountangle
	rm -f $(BIN)/nodefs
	rm -f $(BIN)/noroots
	rm -f $(BIN)/nuweb2noweb
	rm -f $(BIN)/cpif
	rm -f $(BIN)/htmltoc
	rm -f $(BIN)/noroff
	rm -f $(LIB)/toroff
	rm -f $(LIB)/tmac.w

install-code: install-shell
	mkdir -p $(BIN) $(LIB)
	strip c/nt c/markup c/mnt c/finduses c/nwmktemp
	cp c/nt c/markup c/mnt c/finduses c/nwmktemp $(LIB)
	cd $(LIBSRC); make ICONT=$(ICONT) ICONC=$(ICONC) LIB=$(LIB) BIN=$(BIN) install
	cd lib; make LIB=$(LIB) install

uninstall-code: uninstall-shell
	rm -f $(LIB)/nt $(LIB)/markup $(LIB)/mnt $(LIB)/finduses 
	cd $(LIBSRC); make ICONT=$(ICONT) ICONC=$(ICONC) LIB=$(LIB) BIN=$(BIN) uninstall
	cd lib; make LIB=$(LIB) uninstall
install-man:
	mkdir -p $(MAN) $(MANDIR) $(MAN7DIR)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/cpif.1 > $(MANDIR)/cpif.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nodefs.1 > $(MANDIR)/nodefs.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroots.1 > $(MANDIR)/noroots.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noweb.1 > $(MANDIR)/noweb.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noindex.1 > $(MANDIR)/noindex.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nuweb2noweb.1 > $(MANDIR)/nuweb2noweb.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/notangle.1 > $(MANDIR)/notangle.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroff.1 > $(MANDIR)/noroff.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/sl2h.1 > $(MANDIR)/sl2h.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/htmltoc.1 > $(MANDIR)/htmltoc.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebstyle.7 > $(MAN7DIR)/nowebstyle.$(MAN7EXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebfilters.7 > $(MAN7DIR)/nowebfilters.$(MAN7EXT)
	rm -f $(MANDIR)/noweave.$(MANEXT)
	(cd $(MANDIR); ln notangle.$(MANEXT) noweave.$(MANEXT))
	rm -f $(MANDIR)/nountangle.$(MANEXT)
	(cd $(MANDIR); ln notangle.$(MANEXT) nountangle.$(MANEXT))
uninstall-man:
	rm -f $(MANDIR)/cpif.$(MANEXT)
	rm -f $(MANDIR)/nodefs.$(MANEXT)
	rm -f $(MANDIR)/noroots.$(MANEXT)
	rm -f $(MANDIR)/noweb.$(MANEXT)
	rm -f $(MANDIR)/noindex.$(MANEXT)
	rm -f $(MANDIR)/nuweb2noweb.$(MANEXT)
	rm -f $(MANDIR)/notangle.$(MANEXT)
	rm -f $(MANDIR)/noroff.$(MANEXT)
	rm -f $(MANDIR)/sl2h.$(MANEXT)
	rm -f $(MANDIR)/htmltoc.$(MANEXT)
	rm -f $(MAN7DIR)/nowebstyle.$(MAN7EXT)
	rm -f $(MAN7DIR)/nowebfilters.$(MAN7EXT)
	rm -f $(MANDIR)/noweave.$(MANEXT)
	rm -f $(MANDIR)/nountangle.$(MANEXT)
	-rmdir $(MANDIR) $(MAN7DIR) $(MAN) 2>/dev/null || true
install-gzipped-man:
	mkdir -p $(MAN) $(MANDIR) $(MAN7DIR)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/cpif.1  | gzip -9 > $(MANDIR)/cpif.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nodefs.1  | gzip -9 > $(MANDIR)/nodefs.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroots.1  | gzip -9 > $(MANDIR)/noroots.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noweb.1  | gzip -9 > $(MANDIR)/noweb.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noindex.1  | gzip -9 > $(MANDIR)/noindex.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nuweb2noweb.1  | gzip -9 > $(MANDIR)/nuweb2noweb.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/notangle.1  | gzip -9 > $(MANDIR)/notangle.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroff.1  | gzip -9 > $(MANDIR)/noroff.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/sl2h.1  | gzip -9 > $(MANDIR)/sl2h.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/htmltoc.1  | gzip -9 > $(MANDIR)/htmltoc.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebstyle.7  | gzip -9 > $(MAN7DIR)/nowebstyle.$(MAN7EXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebfilters.7  | gzip -9 > $(MAN7DIR)/nowebfilters.$(MAN7EXT).gz
	rm -f $(MANDIR)/noweave.$(MANEXT).gz
	(cd $(MANDIR); ln notangle.$(MANEXT).gz noweave.$(MANEXT).gz)
	rm -f $(MANDIR)/nountangle.$(MANEXT).gz
	(cd $(MANDIR); ln notangle.$(MANEXT).gz nountangle.$(MANEXT).gz)
install-preformat-man:
	-echo "Warning: install-preformat-man is obsolete, even on Slackware systems" 1>&2
	mkdir -p $(MAN) $(CATDIR) $(CAT7DIR)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/cpif.txt  | gzip > $(CATDIR)/cpif.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nodefs.txt  | gzip > $(CATDIR)/nodefs.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroots.txt  | gzip > $(CATDIR)/noroots.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noweb.txt  | gzip > $(CATDIR)/noweb.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noindex.txt  | gzip > $(CATDIR)/noindex.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nuweb2noweb.txt  | gzip > $(CATDIR)/nuweb2noweb.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/notangle.txt  | gzip > $(CATDIR)/notangle.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroff.txt  | gzip > $(CATDIR)/noroff.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/sl2h.txt  | gzip > $(CATDIR)/sl2h.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/htmltoc.txt  | gzip > $(CATDIR)/htmltoc.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebstyle.txt  | gzip > $(CAT7DIR)/nowebstyle.$(MAN7EXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebfilters.txt  | gzip > $(CAT7DIR)/nowebfilters.$(MAN7EXT).gz
	rm -f $(CATDIR)/noweave.$(MANEXT).gz
	(cd $(CATDIR); ln notangle.$(MANEXT).gz noweave.$(MANEXT).gz)
	rm -f $(CATDIR)/nountangle.$(MANEXT).gz
	(cd $(CATDIR); ln notangle.$(MANEXT).gz nountangle.$(MANEXT).gz)
install-tex:
	mkdir -p $(TEXINPUTS)
	cp tex/nwmac.tex tex/noweb.sty $(TEXINPUTS)
	-texhash || echo "Program texhash not found or failed"

uninstall-tex:
	rm -f $(TEXINPUTS)/nwmac.tex $(TEXINPUTS)/noweb.sty || true

install-elisp:
	if [ "/dev/null" != "$(ELISP)" ]; then mkdir -p $(ELISP); fi
	cp elisp/noweb-mode.el $(ELISP)

uninstall-elisp:
	rm -f $(ELISP)/noweb-mode.el || true
checkin:
	for i in lib tex xdoc; do (cd $$i; make "CINAME=$(CINAME)" "CIMSG=$(CIMSG)" checkin); done
	for i in c icon awk; do (cd $$i; ci -l $(CINAME) $(CIMSG) *.nw Makefile); done
	(cd elisp; ci -l $(CINAME) $(CIMSG) *.el)
	ci -l $(CINAME) $(CIMSG) Makefile.nw INSTALL INSTALL.DOS README FAQ COPYRIGHT nwmake *.nw

source: FAQ
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make CPIF=">" source); done
	sleep 1
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make touch); done
touch:
	touch FAQ
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make touch); done
boot:
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make boot); done
clean:
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make clean); done
	rm -f nwsrcfilter *~ */*~

clobber: clean
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make clobber); done

Makefile: Makefile.nw
	chmod +w Makefile
	notangle -R'script' Makefile.nw | sh > Makefile
	chmod -w Makefile

=== contrib/leew/Makefile ===
SHELL=/bin/sh
all:
install:
source:
clean:
	/bin/rm -f nocond *.dvi *.log *.aux *.toc *.tex *.tex nocond.1

=== src/awk/Makefile ===
# Copyright 1993 by Norman Ramsey.  All rights reserved.
# See file COPYRIGHT for more information.

LIB=/dev/null  # must be overridden
BIN=/dev/null  # must be overridden
SHELL=/bin/sh

LIBEXECSBARE=noidx tohtml
LIBEXECSDEP=totex
LIBEXECS=$(LIBEXECSBARE) $(LIBEXECSDEP)
BINEXECS=noindex 
EXECS=$(BINEXECS) $(LIBEXECS)

all:	$(EXECS)
	chmod +x $(EXECS)
sources: $(EXECS)
touch: $(EXECS)
	touch $(EXECS)
boot:
	touch $(EXECS)

install: all
	cp $(LIBEXECSBARE) $(LIB)
	for i in $(LIBEXECSDEP); do sed "s@|LIBDIR|@$(LIB)@" "$$i" > $(LIB)/"$$i"; chmod +x $(LIB)/$$i; done
	cp $(BINEXECS) $(BIN)

uninstall:
	for i in $(LIBEXECS); do rm -f $(LIB)/$$i; done
	for i in $(BINEXECS); do rm -f $(BIN)/$$i; done

source: $(EXECS)

totex: totex.nw
	notangle -Rtotex totex.nw > totex

noidx: noidx.nw
	notangle noidx.nw > noidx

tohtml: tohtml.nw
	notangle tohtml.nw > tohtml

noindex: noindex.nw 
	notangle -Rnoindex noindex.nw > noindex

clean: ;	rm -f *.log *.blg *.dvi *.toc *.aux *.tex *~ *.html
clobber: clean
	rm -f totex noidx tohtml noindex

=== src/icon/Makefile ===
SHELL=/bin/sh
LIB=/dev/null		# to be overridden
BIN=/dev/null		# to be overridden
ICONC=iconc -p -L/usr/X11R6/lib     # override to icont if no iconc on your system
ICONT=icont		# override to iconc if all filters should be compiled
CPIF=| cpif		# change to ">" to insure all sources always made

LIBEXECS=totex disambiguate noidx tohtml elide l2h docs2comments \
       autodefs.tex autodefs.icon autodefs.yacc autodefs.sml autodefs.pascal \
	autodefs.promela autodefs.lrtl autodefs.asdl autodefs.mmix xchunks pipedocs
LIBSPECIAL=autodefs.cee
BINEXECS=noindex sl2h htmltoc
EXECS=$(LIBEXECS) $(BINEXECS) $(LIBSPECIAL) pdcached
SRCS=totex.icn disambiguate.icn noidx.icn texdefs.icn icondefs.icn \
        yaccdefs.icn noindex.icn smldefs.icn tohtml.icn cdefs.icn elide.icn \
	l2h.icn sl2h.icn pascaldefs.icn promeladefs.icn lrtldefs.icn asdldefs.icn \
	mmixdefs.icn htmltoc.icn xchunks.icn docs2comments.icn pipedocs.icn pdcached.icn

.SUFFIXES: .nw .icn .html .tex .dvi
.nw.icn:
	notangle -L'#line %-1L "%F"%N' $*.nw $(CPIF) $*.icn
.nw.html:
	noweave -filter l2h -autodefs icon -html -index $*.nw | htmltoc > $*.html
.nw.tex:
	noweave -delay -autodefs icon -index $*.nw > $*.tex
.tex.dvi:
	latex $*; while grep -s 'Rerun to get cross' $*.log; do latex $*; done

all: $(EXECS)
source: $(SRCS)
touch: $(SRCS)
	touch $(SRCS)

boot:
	touch $(SRCS)

install: $(EXECS)
	cp $(LIBEXECS) $(LIB)
	cp $(BINEXECS) $(BIN)
	cp $(LIBSPECIAL) $(LIB)/autodefs.c

uninstall:
	for i in $(LIBEXECS); do rm -f $(LIB)/$$i; done
	for i in $(BINEXECS); do rm -f $(BIN)/$$i; done
	rm -f $(LIB)/autodefs.c

clean:
	/bin/rm -f *.tex *.dvi *.aux *.log *.blg *.bbl *~  *.toc *.html *.u1 *.u2 
	/bin/rm -f *.[ch] *.ps *.gz
	/bin/rm -f $(EXECS)
	/bin/rm -f sl2h

clobber: clean
	/bin/rm -f *.icn

texdefs.icn: texdefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' texdefs.nw defns.nw $(CPIF) texdefs.icn
icondefs.icn: icondefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' icondefs.nw defns.nw $(CPIF) icondefs.icn
yaccdefs.icn: yaccdefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' yaccdefs.nw defns.nw $(CPIF) yaccdefs.icn
smldefs.icn: smldefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' smldefs.nw defns.nw $(CPIF) smldefs.icn
cdefs.icn: cdefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' cdefs.nw defns.nw $(CPIF) cdefs.icn
pascaldefs.icn: pascaldefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' pascaldefs.nw defns.nw $(CPIF) pascaldefs.icn
promeladefs.icn: promeladefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' promeladefs.nw defns.nw $(CPIF) promeladefs.icn
lrtldefs.icn: lrtldefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' lrtldefs.nw defns.nw $(CPIF) lrtldefs.icn
asdldefs.icn: asdldefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' asdldefs.nw defns.nw $(CPIF) asdldefs.icn
mmixdefs.icn: mmixdefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' mmixdefs.nw defns.nw $(CPIF) mmixdefs.icn

autodefs.tex: texdefs.icn
	$(ICONT) -o autodefs.tex texdefs.icn

autodefs.icon: icondefs.icn
	$(ICONC) -o autodefs.icon icondefs.icn

autodefs.yacc: yaccdefs.icn
	$(ICONT) -o autodefs.yacc yaccdefs.icn

autodefs.sml: smldefs.icn
	$(ICONT) -o autodefs.sml smldefs.icn

autodefs.cee: cdefs.icn
	$(ICONT) -o autodefs.cee cdefs.icn

autodefs.pascal: pascaldefs.icn
	$(ICONT) -o autodefs.pascal pascaldefs.icn

autodefs.promela: promeladefs.icn
	$(ICONT) -o autodefs.promela promeladefs.icn

autodefs.lrtl: lrtldefs.icn
	$(ICONT) -o autodefs.lrtl lrtldefs.icn

autodefs.asdl: asdldefs.icn
	$(ICONT) -o autodefs.asdl asdldefs.icn

autodefs.mmix: mmixdefs.icn
	$(ICONT) -o autodefs.mmix mmixdefs.icn

totex: totex.icn
	$(ICONC) totex.icn

totexnr: totexnr.icn
	$(ICONT) totexnr.icn

tohtml: tohtml.icn
	$(ICONC) tohtml.icn

docs2comments: docs2comments.icn
	$(ICONT) docs2comments.icn  # no longer compiles with iconc

xchunks: xchunks.icn
	$(ICONT) xchunks.icn

l2h.icn: l2h.nw
	notangle -L'#line %-1L "%F"%N' -R'l2h.icn' l2h.nw $(CPIF) l2h.icn
l2h: l2h.icn
	$(ICONT) -o l2h l2h.icn   # no longer compiles with iconc

sl2h.icn: l2h.nw
	notangle -L'#line %-1L "%F"%N' -R'sl2h.icn' l2h.nw $(CPIF) sl2h.icn
sl2h: sl2h.icn
	$(ICONT) -o sl2h sl2h.icn   # no longer compiles with iconc

noindex: noindex.icn
	$(ICONT) noindex.icn

noidx: noidx.icn
	$(ICONT) noidx.icn  # no longer compiles with iconc

elide: elide.icn
	$(ICONT) elide.icn

pipedocs: pipedocs.icn
	$(ICONT) pipedocs.icn

pdcached: pdcached.icn
	$(ICONT) pdcached.icn

disambiguate: disambiguate.icn
	$(ICONT) disambiguate.icn

htmltoc: htmltoc.icn
	$(ICONT) htmltoc.icn

=== src/lib/Makefile ===
# Copyright 1993 by Norman Ramsey.  All rights reserved.
# See file COPYRIGHT for more information.

LIB=/dev/null
SHELL=/bin/sh
CINAME=
CIMSG=
RCSFILES=emptydefn toascii.nw unmarkup Makefile nwmtime pipedocs h2a btdefn

all: toascii
	chmod +x unmarkup emptydefn toascii nwmtime pipedocs h2a btdefn

install: all
	cp unmarkup emptydefn nwmtime btdefn $(LIB)
	sed 's@|LIBDIR|@$(LIB)@g' pipedocs > $(LIB)/pipedocs
	sed 's@|LIBDIR|@$(LIB)@g' toascii > $(LIB)/toascii
	sed 's@|LIBDIR|@$(LIB)@g' h2a > $(LIB)/h2a
	chmod +x $(LIB)/pipedocs $(LIB)/toascii $(LIB)/h2a

uninstall: 
	for i in unmarkup emptydefn toascii nwmtime h2a btdefn; do rm -f $(LIB)/$$i; done
	rm -f $(LIB)/pipedocs

checkin:
	ci -l $(CINAME) $(CIMSG) $(RCSFILES)

source: toascii
touch: toascii
	touch toascii
boot:
	touch toascii

toascii: toascii.nw
	notangle -Rtoascii toascii.nw > toascii

clean: ;	rm -f *.log *.blg *.dvi *.toc *.aux *.tex *~
clobber: clean
	rm -f toascii

=== src/xdoc/Makefile ===
WWW=$(HOME)/www/noweb
SHELL=/bin/sh
.SUFFIXES: .1 .7 .txt .ps
.1.txt: ;	nroff -man $*.1 > $*.txt
.1.ps: ;	psroff -t -man $*.1 > $*.ps
.7.txt: ;	nroff -man $*.7 > $*.txt
.7.ps: ;	psroff -t -man $*.7 > $*.ps

MANPAGES=notangle.1   cpif.1   noweb.1   nodefs.1   noroots.1   noindex.1   \
         nowebstyle.7   nowebfilters.7   nuweb2noweb.1   sl2h.1 htmltoc.1   \
	 noroff.1
TXTPAGES=notangle.txt cpif.txt noweb.txt nodefs.txt noroots.txt noindex.txt \
         nowebstyle.txt nowebfilters.txt nuweb2noweb.txt sl2h.txt htmltoc.txt   \
	 noroff.txt
SRCS=$(MANPAGES) $(TXTPAGES)

NAME="name of version checked in"
CIMSG="message for version checked in"
RCSFILES=*.nw *.tex Makefile
DOVERSION=./doversion

all: $(SRCS)
source: $(SRCS)
touch: $(SRCS)
	touch $(SRCS)
boot:
	touch $(SRCS)

www: $(WWW)/onepage.ps $(WWW)/guide.ps $(WWW)/guide.html

checkin:
	ci -l $(CINAME) $(CIMSG) $(RCSFILES)

$(WWW)/onepage.ps: onepage.ps
	cp onepage.ps $(WWW)

$(WWW)/guide.ps: guide.ps
	cp guide.ps $(WWW)

$(WWW)/guide.html: guide.html
	cp guide.html $(WWW)

notangle.1: manpage.nw ../shell/noweave.nw docdate.nw
	notangle -t8 -Rnotangle.1  manpage.nw ../shell/noweave.nw docdate.nw | $(DOVERSION) > notangle.1

nowebstyle.7: manpage.nw ../tex/support.nw docdate.nw
	notangle -t8 -Rnowebstyle.7 manpage.nw ../tex/support.nw docdate.nw | $(DOVERSION) > nowebstyle.7

nowebfilters.7: nowebfilters.nw docdate.nw
	notangle -t8 nowebfilters.nw docdate.nw | $(DOVERSION) > nowebfilters.7

noweb.1: manpage.nw docdate.nw
	notangle -t8 -Rnoweb.1 manpage.nw docdate.nw | $(DOVERSION) > noweb.1

nodefs.1: nodefs.nw docdate.nw
	notangle -t8 nodefs.nw docdate.nw | $(DOVERSION) > nodefs.1

noroots.1: noroots.nw docdate.nw
	notangle -t8 noroots.nw docdate.nw | $(DOVERSION) > noroots.1

noindex.1: noindex.nw docdate.nw
	notangle -t8 noindex.nw docdate.nw | $(DOVERSION) > noindex.1

sl2h.1: sl2h.nw docdate.nw
	notangle -t8 sl2h.nw docdate.nw | $(DOVERSION) > sl2h.1

htmltoc.1: htmltoc.nw docdate.nw
	notangle -t8 htmltoc.nw docdate.nw | $(DOVERSION) > htmltoc.1

cpif.1: manpage.nw docdate.nw
	notangle -t8 -Rcpif.1  manpage.nw docdate.nw | $(DOVERSION) > cpif.1

nuweb2noweb.1: manpage.nw docdate.nw
	notangle -t8 -Rnuweb2noweb.1  manpage.nw docdate.nw | $(DOVERSION) > nuweb2noweb.1

noroff.1: noroff.nw docdate.nw
	notangle -t8 noroff.nw docdate.nw | $(DOVERSION) > noroff.1

wc.tex: ../../examples/wc.nw
	(cd ../../examples; noweave -n -index wc.nw) > wc.tex

techrep.dvi: techrep.tex wc.tex
	latex '\scrollmode \input '"techrep"
	while grep -s 'Rerun to get cross-references right' techrep.log; do latex '\scrollmode \input '"techrep"; done

onepage.dvi: onepage.tex
	latex '\scrollmode \input '"onepage"
	while grep -s 'Rerun to get cross-references right' onepage.log; do latex '\scrollmode \input '"onepage"; done

onepage.ps: onepage.dvi
	dvips -P cmz -o onepage.ps onepage

guide.dvi: guide.tex
	latex '\scrollmode \input '"guide"
	while grep -s 'Rerun to get cross-references right' guide.log; do latex '\scrollmode \input '"guide"; done

guide.ps: guide.dvi
	dvips -P cmz -o guide.ps guide

guide.uu: guide.ps
	gzip < guide.ps > guide.ps.gz
	uuencode guide.ps.gz < guide.ps.gz > guide.uu

guide.html: guide.dvi
	sl2h guide.tex | htmltoc > guide.html

clean: ;	/bin/rm -f *.dvi *.log *.blg *~ wc.tex *.ps *.gz *.uu *.html
clobber: clean
	rm -f *.1 *.7 *.txt

=== debian/changelog ===
noweb (2.12-4) unstable; urgency=medium

  [ Mechtilde ]
  * [75bf5fa]  Tried to implement that indents are applyable again and test it.
               (Closes: #1029951)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 29 Jan 2023 15:03:38 +0100

noweb (2.12-3) unstable; urgency=medium

  [ Mechtilde ]
  * [c9f87a2] Subject: Replaced more 'bf' by  'bfseries' to make it fit
              to use KOMA-Scripts in LaTeX

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 28 Jan 2023 12:19:39 +0100

noweb (2.12-2) unstable; urgency=medium

  [ Mechtilde ]
  * [93d80ce] Replaced 'tt', 'rm', 'it', 'bf' by 'ttfamily', 'rmfamily',
              'itshape', 'bfseries' to make src/tex/support.nw and
              src/tex/noweb.sty fit to use KOMA-Scripts in LaTeX
              (Closes: #1028964)
  * [d8ad175] Added myself to uploaders in d/control

  [ Hubert Chathi ]
  * [492ea5a] need to have a functioning notangle to build the man pages
  * [a1462d0] add missing dependency

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 22 Jan 2023 21:41:33 +0100

noweb (2.12-1) unstable; urgency=medium

  * New upstream release. (Closes: #981199)
  * debian/control:
    * add salsa repo
  * debian/copyright:
    * noweb is now dual-licensed
    * update source location
  * debian/patches/*:
    * update patches and remove obsolete patches

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 28 Jan 2021 23:08:13 -0500

=== debian/control ===
Source: noweb
Section: devel
Priority: optional
Maintainer: Hubert Chathi <uhoreg@debian.org>
Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 icont,
 iconx,
 icon-ipl,
# d/rules runs dh_installtex via 'dh --with=tex':
 tex-common,
 texlive-latex-base,
 texlive-latex-extra,
Standards-Version: 4.5.0
Homepage: https://www.cs.tufts.edu/~nr/noweb
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/noweb.git
Vcs-Browser: https://salsa.debian.org/debian/noweb

Package: noweb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gawk,
 iconx,
Recommends: texlive
Multi-Arch: foreign
Description: WEB-like literate-programming tool
 noweb is designed to meet the needs of literate programmers while
 remaining as simple as possible.  Its primary advantages are
 simplicity, extensibility, and language-independence.
 .
 The noweb manual is only 3 pages; an additional page explains how to
 customize its LaTeX output.  noweb works ``out of the box'' with any
 programming language, and supports TeX, LaTeX, and HTML back ends.
 .
 The primary sacrifice relative to WEB is that code is not
 prettyprinted.

=== debian/watch ===
version=4

opts=\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/,\
  uversionmangle=s/_/./ \
  https://github.com/nrnrnr/@PACKAGE@/tags \
  .*/v?(\d\S+)\.tar\.gz
